Package org.apache.batchee.container.impl.controller.chunk

## Class CheckpointManager

- java.lang.Object
- - org.apache.batchee.container.impl.controller.chunk.CheckpointManager

-     public class CheckpointManager
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CheckpointManager​(javax.batch.api.chunk.ItemReader reader, javax.batch.api.chunk.ItemWriter writer, javax.batch.api.chunk.CheckpointAlgorithm chkptAlg, long jobInstanceID, String stepId, PersistenceManagerService persistenceManagerService, DataRepresentationService dataRepresentationService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `applyCheckPointPolicy()` |
    `void` | `beginCheckpoint()` |
    `int` | `checkpointTimeout()` |
    `void` | `endCheckpoint()` |
    `Map<CheckpointDataKey,​CheckpointData>` | `prepareCheckpoints()` | Takes the current checkpoint data from the ItemReader and ItemWriter and store them in the database
    `void` | `storeCheckPoints​(Map<CheckpointDataKey,​CheckpointData> checkpoints)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckpointManager

          public CheckpointManager​(javax.batch.api.chunk.ItemReader reader,
                                   javax.batch.api.chunk.ItemWriter writer,
                                   javax.batch.api.chunk.CheckpointAlgorithm chkptAlg,
                                   long jobInstanceID,
                                   String stepId,
                                   PersistenceManagerService persistenceManagerService,
                                   DataRepresentationService dataRepresentationService)

  - ### Method Detail

    - #### beginCheckpoint

          public void beginCheckpoint()

    - #### endCheckpoint

          public void endCheckpoint()

    - #### applyCheckPointPolicy

          public boolean applyCheckPointPolicy()

    - #### prepareCheckpoints

          public Map<CheckpointDataKey,​CheckpointData> prepareCheckpoints()

      Takes the current checkpoint data from the ItemReader and ItemWriter and store them in the database

    - #### storeCheckPoints

          public void storeCheckPoints​(Map<CheckpointDataKey,​CheckpointData> checkpoints)

    - #### checkpointTimeout

          public int checkpointTimeout()